Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QStyleOptionFrameV2 Class Reference

The QStyleOptionFrameV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.1 or above. More...

     #include <QStyleOptionFrameV2>

Inherits: QStyleOptionFrame.

Inherited by: QStyleOptionFrameV3.

This class was introduced in Qt 4.1.

- List of all members, including inherited members

## Public Types

enum | FrameFeature { None, Flat }
flags | FrameFeatures
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionFrameV2 ()
| QStyleOptionFrameV2 ( const QStyleOptionFrameV2 & other )
| QStyleOptionFrameV2 ( const QStyleOptionFrame & other )
QStyleOptionFrameV2 & | operator= ( const QStyleOptionFrame & other )

- 2 public functions inherited from QStyleOption

## Public Variables

FrameFeatures | features

- 2 public variables inherited from QStyleOptionFrame
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionFrameV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.1 or above.

QStyleOptionFrameV2 inherits QStyleOptionFrame which is used for drawing several built-in Qt widgets, including QFrame, QGroupBox, QLineEdit, and QMenu.

An instance of the QStyleOptionFrameV2 class has type SO_Frame and version 2. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionFrame and QStyleOptionFrameV2. One way to achieve this is to use the QStyleOptionFrameV2 copy constructor. For example:

         QStyleOptionFrame *option;

         if (const QStyleOptionFrame *frameOption =
                qstyleoption_cast<const QStyleOptionFrame *>(option)) {
             QStyleOptionFrameV2 frameOptionV2(*frameOption);

             // draw the frame using frameOptionV2
         }

In the example above: If the `frameOption`'s version is 1, FrameFeature is set to None for `frameOptionV2`. If `frameOption`'s version is 2, the constructor will simply copy the `frameOption`'s FrameFeature value.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOptionFrame and QStyleOption.

## Member Type Documentation

### enum QStyleOptionFrameV2::FrameFeature
flags QStyleOptionFrameV2::FrameFeatures

This enum describes the different types of features a frame can have.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFrameV2::None` | `0x00` | Indicates a normal frame.
`QStyleOptionFrameV2::Flat` | `0x01` | Indicates a flat frame.

The FrameFeatures type is a typedef for QFlags<FrameFeature>. It stores an OR combination of FrameFeature values.

### enum QStyleOptionFrameV2::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFrameV2::Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionFrameV2::QStyleOptionFrameV2 ()

Constructs a QStyleOptionFrameV2 object.

### QStyleOptionFrameV2::QStyleOptionFrameV2 ( const QStyleOptionFrameV2 & other )

Constructs a QStyleOptionFrameV2 copy of the other style option.

### QStyleOptionFrameV2::QStyleOptionFrameV2 ( const QStyleOptionFrame & other )

Constructs a QStyleOptionFrameV2 copy of the other style option which can be either of the QStyleOptionFrameV2 or QStyleOptionFrame types.

If the other style option's version is 1, the new style option's FrameFeature value is set to QStyleOptionFrameV2::None. If its version is 2, its FrameFeature value is simply copied to the new style option.

See also version.

### QStyleOptionFrameV2 & QStyleOptionFrameV2::operator= ( const QStyleOptionFrame & other )

Assigns the other style option to this style option. The other style option can be either of the QStyleOptionFrameV2 or QStyleOptionFrame types.

If the other style option's version is 1, this style option's FrameFeature value is set to QStyleOptionFrameV2::None. If its version is 2, its FrameFeature value is simply copied to this style option.

## Member Variable Documentation

### FrameFeatures QStyleOptionFrameV2::features

This variable holds a bitwise OR of the features that describe this frame.

See also FrameFeature.